| Home | Libraries | People | FAQ | More

##### basic_socket_streambuf::get_option (2 of 2 overloads)

Inherited from basic_socket.

Get an option from the socket.

    template<
        typename GettableSocketOption>
    boost::system::error_code get_option(
        GettableSocketOption & option,
        boost::system::error_code & ec) const;

This function is used to get the current value of an option on the socket.

###### Parameters

option

  The option value to be obtained from the socket.

ec

  Set to indicate what error occurred, if any.

###### Example

Getting the value of the SOL_SOCKET/SO_KEEPALIVE option:

    boost::asio::ip::tcp::socket socket(io_service);
    ...
    boost::asio::ip::tcp::socket::keep_alive option;
    boost::system::error_code ec;
    socket.get_option(option, ec);
    if (ec)
    {
      // An error occurred.
    }
    bool is_set = option.get();